* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Arial, sans-serif;
    background: #080812;
    color: white;
}

header {
    height: 70px;
    padding: 0 7%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #10101c;
    position: sticky;
    top: 0;
    z-index: 100;
}

.logo {
    font-size: 25px;
    font-weight: bold;
}

nav a {
    color: white;
    text-decoration: none;
    margin-left: 30px;
}

nav a:hover {
    color: #9b7cff;
}

.menu {
    display: none;
}

.hero {
    min-height: 600px;

    display: flex;
    align-items: center;

    padding: 60px 8%;

    background:
        linear-gradient(
            90deg,
            #080812 10%,
            rgba(8, 8, 18, .6),
            rgba(8, 8, 18, .2)
        ),
        url("images/hero.jpg") center/cover;
}

.hero-content {
    max-width: 600px;
}

.hero-content p:first-child {
    color: #a78bfa;
    font-weight: bold;
    letter-spacing: 3px;
}

.hero h1 {
    font-size: 70px;
    line-height: 1;
    margin: 20px 0;
}

.hero p {
    color: #ccc;
    line-height: 1.7;
}

.btn {
    display: inline-block;
    margin-top: 25px;
    padding: 14px 28px;
    background: #7c3aed;
    color: white;
    text-decoration: none;
    border-radius: 6px;
    font-weight: bold;
}

.btn:hover {
    background: #9f67ff;
}

.section {
    width: 86%;
    margin: 70px auto;
}

.section-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

.section-title input {
    padding: 12px 18px;
    border-radius: 6px;
    border: none;
    outline: none;
}

.game-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
}

.game-card {
    background: #141421;
    border-radius: 12px;
    overflow: hidden;
    transition: .3s;
}

.game-card:hover {
    transform: translateY(-8px);
}

.game-card img {
    width: 100%;
    height: 230px;
    object-fit: cover;
}

.game-info {
    padding: 20px;
}

.game-info span {
    color: #a78bfa;
    font-size: 14px;
}

.game-info h3 {
    margin: 10px 0;
    font-size: 22px;
}

.game-info p {
    color: #ffc857;
}

.game-info button {
    margin-top: 15px;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    background: #7c3aed;
    color: white;
    cursor: pointer;
}

.categories {
    padding: 60px 7%;
    background: #10101c;
    text-align: center;
}

.category-grid {
    max-width: 900px;
    margin: 35px auto 0;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.category-grid div {
    padding: 25px;
    background: #191927;
    border-radius: 10px;
    cursor: pointer;
}

.category-grid div:hover {
    background: #27233c;
}

footer {
    padding: 50px;
    text-align: center;
    color: #aaa;
}

footer p {
    margin-top: 15px;
}

@media (max-width: 768px) {

    nav {
        display: none;
    }

    .menu {
        display: block;
        background: none;
        border: none;
        color: white;
        font-size: 25px;
    }

    .hero {
        min-height: 500px;
    }

    .hero h1 {
        font-size: 45px;
    }

    .game-grid {
        grid-template-columns: 1fr;
    }

    .category-grid {
        grid-template-columns: 1fr 1fr;
    }

    .section-title {
        display: block;
    }

    .section-title input {
        margin-top: 20px;
        width: 100%;
    }
}